Bug 135006 - unzip can't handle large files
unzip can't handle large files
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: unzip (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-10-07 18:12 EDT by Jesse Barnes
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-08 09:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2004-10-07 18:12:34 EDT
unzip fails on files larger than ~4GB.  Is it possible to add large 
file support to it?
Comment 1 Lon Hohberger 2004-10-08 09:42:19 EDT
I think the old ZIP file spec it implements maxes out at 4GB.  The way
zip/unzip passes return + error codes (as negative numbers), we limit
it to a few KB under 4GB.  Getting it to do near 4GB in the first
place (instead of 2GB) took a lot of coersion.

What we ultimately need is a Free implementation of the Zip64
specification.  For instance, the Linux port of 7zip, called p7zip:


Unfortunately, the p7zip code is not 64-bit or endian clean right now,
so it's not an option (i.e. it will only work correctly on i386).

There's an implementation of the zip64 codec in the Heirloom
Toolchest's cpio program:


... But it requires reading entire files into RAM prior to compressing
(not good).

According to the Info-Zip web page, version 3.0 (which might support
large files) is under development:


Of course, the timeframe is 2004, perhaps "early summer".

Probably best to use gzip with tar files for now.  Many modern
archiver applications running under other operating systems can
extract them.

Note You need to log in before you can comment on or make changes to this bug.